## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celPlayer Class Reference

General information on a player. More...

`#include <physicallayer/nettypes.h>`

List of all members.

## Public Member Functions

| celPlayer ()
bool | operator== (const celPlayer &other) const
void | PrintDebugInfo ()

## Public Attributes

csString | hostname
| The hostname of the player if available.
uint8 | ip_address [32]
| The IP address of the game/player, large enough to hold IPv6 address.
uint32 | player_id
| The ID of the player.
csString | player_name
| The name of the player.
uint16 | port_nb
| The port number of the player.

## Detailed Description

General information on a player.

Definition at line 239 of file nettypes.h.

## Member Data Documentation

csString celPlayer::hostname

| The hostname of the player if available. Definition at line 249 of file nettypes.h. Referenced by operator==(), and PrintDebugInfo().

uint8 celPlayer::ip_address[32]

| The IP address of the game/player, large enough to hold IPv6 address. Definition at line 252 of file nettypes.h. Referenced by celPlayer(), and PrintDebugInfo().

uint32 celPlayer::player_id

| The ID of the player. Definition at line 243 of file nettypes.h. Referenced by celPlayer(), and PrintDebugInfo().

csString celPlayer::player_name

| The name of the player. Definition at line 246 of file nettypes.h. Referenced by PrintDebugInfo().

uint16 celPlayer::port_nb

| The port number of the player. Definition at line 255 of file nettypes.h. Referenced by celPlayer(), operator==(), and PrintDebugInfo().

The documentation for this class was generated from the following file:

- physicallayer/nettypes.h